Bug 1518304 - Events endpoint is not shown for Network Provider
Summary: Events endpoint is not shown for Network Provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Scott Seago
QA Contact: Jad Haj Yahya
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 15:24 UTC by Dmitry Misharov
Modified: 2019-02-07 23:00 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:39 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of the bug (45.73 KB, image/png)
2017-11-28 15:24 UTC, Dmitry Misharov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:46 UTC

Description Dmitry Misharov 2017-11-28 15:24:26 UTC
Created attachment 1359930 [details]
Screenshot of the bug

Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.11.20171127204214_e316988

How reproducible:
Always

Steps to Reproduce:
1. Add some RHOS provider.
2. Navigate to Networks/Providers.
3. Pick a Network provider and click Configuration/Edit this Network Provider.
4. In the editing screen click Events tab. 

Actual results:
Events tab is empty.

Expected results:
Events tab should show  Ceilometer AMQP radio buttons.

Comment 3 Scott Seago 2018-04-24 03:13:24 UTC
The content for the Events tab is filtered by ems type, so it's hidden for OpenStack Network providers. The problem was that the tab name wasn't being filtered on the same conditions, resulting in a blank Events tab for OpenStack Network Providers. The associated PR applies the same filtering to the navigation/tab labels as is already being done for the tab content.

Comment 5 Scott Seago 2018-05-31 15:23:56 UTC
I've closed the original PR and opened a new one. Upon further investigation, the edit action shouldn't be available at all for OpenStack network providers. It was already being correctly hidden from the show page, but it was still available from the list page.

Comment 7 Scott Seago 2018-07-03 15:02:20 UTC
Upon further discussion, we had agreed that instead of hiding the action entirely, it should be available and if the user tried to edit a non-editable provider, a flash message would display a warning about it.

It turns out this has just been implemented in response to another BZ. The PR is at https://github.com/ManageIQ/manageiq-ui-classic/pull/4162

The other BZ is https://bugzilla.redhat.com/show_bug.cgi?id=1577888

Comment 8 Jad Haj Yahya 2018-11-14 09:00:52 UTC
Verified on 5.10.0.23

Comment 9 errata-xmlrpc 2019-02-07 23:00:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.